# $Revision: 1.20 $, $Date: 2005/03/20 15:37:48 $
Summary:	libshout - icecast source streaming library
Summary(pl):	Biblioteka rde strumieni icecast
Name:		libshout
Version:	2.1
Release:	1
License:	LGPL
Vendor:		Icecast <team@icecast.org>
Group:		Libraries
Source0:	http://downloads.xiph.org/releases/libshout/%{name}-%{version}.tar.gz
# Source0-md5:	ca6e98af87fd17c709821d9be82b37d5
URL:		http://www.icecast.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libogg-devel
BuildRequires:	libtheora-devel
BuildRequires:	libvorbis-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libshout is a library for communicating with and sending data to an
icecast server. It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%description -l pl
libshout to biblioteka do komunikowania si z i wysyania danych do
serwera icecast. Obsuguje poczenia, czasy danych i zapobiega
dotarciu wikszoci zych danych do serwera icecast.

%package devel
Summary:	Icecast source streaming library development package
Summary(pl):	Pakiet dla programistw uywajcych libshout
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libogg-devel
Requires:	libtheora-devel
Requires:	libvorbis-devel

%description devel
The libshout-devel package contains the header files needed for
developing applications that send data to an icecast server. Install
libshout-devel if you want to develop applications using libshout.

%description devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia aplikacji
wysyajcych dane do serwera icecast.

%package static
Summary:	Icecast source streaming static library
Summary(pl):	Statyczna biblioteka libshout
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Icecast source streaming static library.

%description static -l pl
Statyczna biblioteka libshout - rde strumieni icecast.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -rf examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/* 
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/shout
%{_pkgconfigdir}/shout.pc
%{_aclocaldir}/shout.m4
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
 %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libshout.spec,v $
Revision 1.20  2005/03/20 15:37:48  qboosh
- removed outdated ac_am_fixes patch
- BR: libtheora-devel,pkgconfig; devel deps

Revision 1.19  2005/02/20 11:12:35  qboosh
- unified

Revision 1.18  2005/02/20 08:50:49  yogib
- updated to 2.1, adedd examplesdir

Revision 1.17  2004/05/29 20:17:49  averne
- BR: libogg-devel, libvorbis-devel

Revision 1.16  2003/09/15 20:38:15  radzio
- update to 2.0

Revision 1.15  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2002/11/27 21:10:41  juandon
- new %%doc

Revision 1.12  2002/11/25 14:17:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:13:52  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/22 06:19:19  kloczek
- added "rm -f missing" on top %build.

Revision 1.7  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 03:36:23  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/04 15:31:41  qboosh
- adapterized, pl translations, cosmetics; release 2

Revision 1.2  2001/05/06 13:09:28  kloczek
- completly rewrited in PLD style.

Based on spec by Jeremy Katz <katzj@icecast.org>
